using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{

    /// <summary>
    /// 应急响应评估情况表
    /// </summary>
    [Description("应急响应评估情况")]
    public class T_CM_RSP_ESTIMATE_CONDITION : MesEntityBase
    {
        /// <summary>
        /// 应急响应评估情况编号
        /// </summary>
        [Description("编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [CUnique]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        public string CODE { get; set; }

        /// <summary>
        /// 应急响应评估情况名称
        /// </summary>
        [Description("应急响应情况")]
        [DataFieldLength(300)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [FormFieldTable]
        [FormFieldEdit]
        [Description("排序号")]
        public int NUM { get; set; }
    }
}
